package tfg.sma.core.model;

import java.util.Vector;

import javax.xml.bind.annotation.*;


@XmlRootElement(name="Description", namespace="urn:Description")
@XmlAccessorType(XmlAccessType.FIELD)
public class SmaDescriptor {

	
	@XmlElement(name="Simulation")
	private boolean simulation;
	
	@XmlElementWrapper(name="ListOfAgents")
	@XmlElement(name="Agent")
	private Vector<AgentDescriptor> listOfAgents;
	
	
	@XmlElementWrapper(name="ListOfInferences")
	@XmlElement(name="Inference")
	private Vector<InferenceDescriptor> listOfInferences;
	
	@XmlElement(name="DataBase")
	private DataBaseDescriptor dataBase;

	public Vector<AgentDescriptor> getListOfAgents() {
		return listOfAgents;
	}


	public Vector<InferenceDescriptor> getListOfInferences() {
		return listOfInferences;
	}

	public DataBaseDescriptor getDataBase() {
		return dataBase;
	}

	public boolean getSimulation() {
		return simulation;
	}
				
	
}
