package tfg.sma.core.v2.behaviours;

import jade.core.behaviours.Behaviour;
import jade.core.behaviours.DataStore;
import tfg.sma.core.v2.agent.BaseAgent;
import tfg.sma.gui.BaseAgentGui;

@SuppressWarnings("serial")
public class DisplayGui extends Behaviour {

	
	public static final int OK = 0;
	public static final int KO = -1;
	private int status;
	
	
	public DisplayGui(DataStore ds) {
		this.setDataStore(ds);
	}
	
	@Override
	public void action() {
		status = KO;
		BaseAgent ag = (BaseAgent) myAgent;
		
		//If the gui is already created, the gui is not created anymore
		if(ag.getMyGui() == null){
			ag.setMyGui(new BaseAgentGui(ag));
			
		}
		
		ag.getMyGui().showGui();
		
		status = OK;

	}

	@Override
	public boolean done() {
		return status == OK || status == KO;
	}

}
