package tfg.sma.core.v2.behaviours;

import jade.core.behaviours.Behaviour;
import jade.core.behaviours.DataStore;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

@SuppressWarnings("serial")
public class Receiver extends Behaviour{

	public static final String INPUTMESSAGE = "InputMessage";
	public static final int OK = 0;
	public static final int KO = -1;
	private int status;
	
	public Receiver(DataStore ds) {
		this.setDataStore(ds);
	}	
	@Override
	public void action() {
		status = KO;
		ACLMessage inputMessage = myAgent.receive(MessageTemplate.MatchAll());
		if(inputMessage != null){
			this.getDataStore().put(INPUTMESSAGE, inputMessage);
			status = OK;
		}else {
			block();
		}
						
	}

	@Override
	public boolean done() {
		return status == OK; //TODO ojo
	}
	
	@Override
	public int onEnd() {
		return status;
		
	}
	
	

}
