package tfg.sma.core.model;

import jade.content.Concept;

@SuppressWarnings("serial")
public class Variable implements Concept{

	public static final String INPUT = "input";
	public static final String OUTPUT = "output";
	public static final String FUZZYISYSTEM = "fis";
	public static final String NULL = "Sense valor";
	public static final String INPUTFIS ="inputFis";
	
	//Input or output
	private String type;
	private String name;
	private Object value;
	
	public Variable() {
		
	}
	
	public Variable(String type, String name, Object value) {
		this.type = type;
		this.name = name;
		this.value = NULL;
				
		if(value != null)
			this.value = value;		
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}
	
	
}
