package tfg.sma.core.v2.behaviours;

import jade.core.behaviours.Behaviour;
import tfg.sma.core.v2.agent.BaseAgent;

@SuppressWarnings("serial")
public class Termination extends Behaviour{

	public static final int OK = 0;
	public static final int KO = -1;
	private int state;
	
	
	@Override
	public void action() {
		state = KO;
		BaseAgent a= (BaseAgent) myAgent;
		//Agent can be terminated prior DF registration.
		if(a.getRegisteredDf()) {
			a.registeredTakeDown();	
		}else a.unregisteredTakeDown(); 
				
		state = OK;
	}

	@Override
	public boolean done() {
		return state == OK;
	}
	
	@Override
	public int onEnd() {		
		return state;
	}
	
}
