package tfg.sma.core.v2.complex.behaviours;

import jade.core.Agent;
import jade.core.behaviours.FSMBehaviour;
import tfg.sma.core.v2.behaviours.Termination;

@SuppressWarnings("serial")
public class SetupBehaviour extends FSMBehaviour {

	public static final String WISDOM = "wisdom";
	public static final String REGISTRATION = "registration";
	public static final String PARALLEL_PRIME_ASK = "parallel-prime_ask";	
	public static final String TERMINATION = "termination";	
	
	
		
	public SetupBehaviour(Agent a) {
		super(a);		
		registerLastState(new Termination(), TERMINATION);
		
		registerTransition(WISDOM, REGISTRATION, 0);
		registerTransition(REGISTRATION, PARALLEL_PRIME_ASK, 0);		
		registerTransition(PARALLEL_PRIME_ASK, PARALLEL_PRIME_ASK, 0); //The main one.
		registerTransition(PARALLEL_PRIME_ASK, TERMINATION, -1);
		registerTransition(WISDOM, TERMINATION, -1);
	}
	
}