package tfg.sma.core.v2.ontology;

import jade.content.Predicate;
import jade.util.leap.ArrayList;
import jade.util.leap.List;

@SuppressWarnings("serial")
public class AgentInformationPredicate implements Predicate {

	public static final String NAME = "AgentInformationPredicate";
	
	private List agentProperties = new ArrayList();

	public List getAgentProperties() {
		return agentProperties;
	}

	public void setAgentProperties(List agentProperties) {
		this.agentProperties = agentProperties;
	}

	public PropertyConcept getPropertyByName(String propertyName) {		
		for(int a = 0;a<agentProperties.size();a++) {
			Object o = agentProperties.get(a);
			PropertyConcept p = (PropertyConcept) o;
			if(p.getPropertyName().equals(propertyName))
				return p;
		}		
		return null;
	}
	
}
