package tfg.sma.core.v2.ontology;

import jade.content.Concept;

@SuppressWarnings("serial")
public class PropertyConcept implements Concept {
	
	public static final String AGENTNAME = "agentName";
	public static final String FCLFILENAME = "fclFileName";
	public static final String INFERENCEID = "inferenceId";
	
	private String propertyName;
	private String value;
		
	public PropertyConcept() {
		
	}
	public PropertyConcept(String propertyName, String value) {
		this.propertyName = propertyName;
		this.value = value;		
	}	
	
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
	public String getPropertyName() {
		return propertyName;
	}

	public void setPropertyName(String propertyName) {
		this.propertyName = propertyName;
	}	
}
